Bug 1146927 - Review Request: python-drat - A reading text analysis tool
Summary: Review Request: python-drat - A reading text analysis tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 11:29 UTC by Parag Nemade
Modified: 2014-10-17 17:40 UTC (History)
2 users (show)

Fixed In Version: python-drat-0.4.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 16:01:37 UTC
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-26 11:29:41 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-drat.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-drat-0.4.0-1.fc21.src.rpm
Description: Drat is a tool that analyzes reading texts and produces a brief report which gives a readability score (according to the Dale-Chall readability formula) and the number of uncommon words (based on the General Service List) in the text. It also lists all of these uncommon words (if you choose the verbose option).

Fedora Account System Username: pnemade

Comment 1 Fabian Affolter 2014-09-28 08:06:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1146927-python-drat/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in drat-tools
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-drat-0.4.0-1.fc20.noarch.rpm
          drat-tools-0.4.0-1.fc20.noarch.rpm
          python-drat-0.4.0-1.fc20.src.rpm
drat-tools.noarch: W: no-documentation
drat-tools.noarch: W: no-manual-page-for-binary drat
drat-tools.noarch: W: no-manual-page-for-binary drat-tk
python-drat.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 4)
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-drat drat-tools
drat-tools.noarch: W: no-documentation
drat-tools.noarch: W: no-manual-page-for-binary drat
drat-tools.noarch: W: no-manual-page-for-binary drat-tk
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-drat (rpmlib, GLIBC filtered):
    drat-tools
    python(abi)

drat-tools (rpmlib, GLIBC filtered):
    /usr/bin/python2



Provides
--------
python-drat:
    python-drat

drat-tools:
    drat-tools



Source checksums
----------------
https://pypi.python.org/packages/source/d/drat/drat-0.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 8724b644c2f75d6f1b98f353ef845dcff7c80019f58c52ba9b83a98d5734aa1f
  CHECKSUM(SHA256) upstream package : 8724b644c2f75d6f1b98f353ef845dcff7c80019f58c52ba9b83a98d5734aa1f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1146927
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Issues
------
- Latest relase is 0.4.1
- Subpackages do not ship a license file (0.4.1 contains a License file)  
- Mixed-use-of-spaces-and-tabs

Comment 2 Parag Nemade 2014-09-28 09:43:47 UTC
Thanks Fabian for the above review. Here is updated package

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-drat.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-drat-0.4.1-1.fc21.src.rpm

I have added README.rst to drat-tools subpackage but I could not find license file in 0.4.1 tarball.

Comment 3 Fabian Affolter 2014-09-28 10:04:07 UTC
(In reply to Parag from comment #2)
> I have added README.rst to drat-tools subpackage but I could not find
> license file in 0.4.1 tarball.

Hmmm, the tarball from github [1] contains a LICENSE file but it seems that PyPI is down for maintenance. 

The Readme file has a clear statement about the license.

Package APPROVED.

[1] https://github.com/riverrun/drat/archive/v0.4.1.tar.gz

Comment 4 Parag Nemade 2014-09-28 10:55:07 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: python-drat
Short Description: A reading text analysis tool 
Upstream URL: https://github.com/riverrun/drat
Owners: pnemade
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-09-29 12:14:43 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-09-30 02:59:39 UTC
python-drat-0.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-drat-0.4.1-1.fc21

Comment 7 Fedora Update System 2014-09-30 03:05:26 UTC
python-drat-0.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-drat-0.4.1-1.fc20

Comment 8 Fedora Update System 2014-09-30 05:57:33 UTC
python-drat-0.4.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-drat-0.4.1-1.el7

Comment 9 Fedora Update System 2014-09-30 07:03:45 UTC
python-drat-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-drat-0.4.1-1.el6

Comment 10 Fedora Update System 2014-09-30 17:38:46 UTC
python-drat-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Fedora Update System 2014-10-10 16:01:37 UTC
python-drat-0.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2014-10-10 16:09:06 UTC
python-drat-0.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-10-17 17:32:59 UTC
python-drat-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2014-10-17 17:40:57 UTC
python-drat-0.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.